---

- name: create new user profile
  copy:
    src: user
    dest: /etc/dconf/profile/user
    owner: root
    group: root
    mode: 0644

- name: create local config dir
  file:
    path: /etc/dconf/db/local.d
    state: directory
    owner: root
    group: root
    mode: 0755

- name: configure gnome defaults
  copy:
    src: "{{ item }}"
    dest: /etc/dconf/db/local.d/
    owner: root
    group: root
    mode: 0644
  with_items:
    - 00-favorite-apps
    - 01-recursive-search
    - 02-energy
    - 03-no-update-notifications
  notify: dconf update
